<?php defined('INC') or die ('Direct access');

$menu_version		= '1.0.0';
$menu_copyright		= '2007, IncPlugins';
$menu_website		= 'http://www.incplugins.com/';
$menu_license		= 'http://www.incplugins.com/inc/license.php';

inc_plugin('menu');

$menu_class = '';
$menu_index = 0;
$menu_separator = '';

function menu_s($separator = ' | ')
{
	global $menu_index, $menu_separator;
	$menu_separator = $separator;
	$menu_index = 0;
	return '';
}

function menu_s_item($name, $link, $follow = true)
{
	global $menu_index, $menu_separator;
	$fo = '';
	if (!$follow)
		$fo = ' rel="nofollow"'; // Disable Google Bot
	$r = '';
	if ($menu_index != 0)
		$r = $menu_separator;
	$menu_index++;
	return $r.'<a href="'.$link.'"'.$fo.'>'.$name."</a>\n";
}

function menu_s_end()
{
	return '';
}

function menu($class = '')
{
	global $menu_class, $menu_index;
	if ($class)
	{
		$c = $class;
		$menu_class = $class;
	}
	else
		$c = $menu_class;
	$menu_index = 0;
	return '<div class="'.$c.'">'."\n";
}

function menu_end($clear = false)
{
	if ($clear)
		return '</div><div class="menu_clear"></div>'."\n";
	else
		return '</div>'."\n";
}

function menu_item($name, $link, $follow = true)
{
	global $menu_index;
	$fo = '';
	if (!$follow)
		$fo = ' rel="nofollow"'; // Disable Google Bot
	$c = '';
	if ($menu_index == 0)
		$c = 'first';
	$menu_index++;
	if ($c)
		return '<div class="'.$c.'"><a href="'.$link.'"'.$fo.'>'.$name."</a></div>\n";
	else
		return '<div><a href="'.$link.'"'.$fo.'>'.$name."</a></div>\n";
}

function menu_css()
{
?>

.menu_clear {
	clear: both;
	float: none;
	height: 1px;
}

<?php
}
?>
